Commet
  • Pricing
Log InTry out
Create webhook endpoint POSTDelete webhook endpoint DELETEGet webhook endpoint GETList webhook endpoints GETTest webhook endpoint POSTUpdate webhook endpoint PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Update webhook endpoint

Update a webhook endpoint. Only the provided fields change.

Test webhook endpoint POST

Send a test event to a webhook endpoint to verify connectivity.

PUT
/webhooks/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

url?string
Formaturi
events?array<>
Items1 <= items
description?|
isActive?boolean
apiVersion?string

Response Body

application/json

curl -X PUT "https://commet.co/api/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'

application/json

application/json

Destination URL (HTTPS)

Webhook events to subscribe to

Pin the endpoint to an API version

Update a webhook endpoint. Only the provided fields change.

Webhook endpoint public ID

{
  "success": true,
  "data": {
    "object": "webhook",
    "livemode": true,
    "id": "string",
    "url": "http://example.com",
    "events": [
      "string"
    ],
    "description": "string",
    "isActive": true,



{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
"apiVersion": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
}